claw::binary_node< U > Class Template Reference

Basic binary node. More...

`#include <binary_node.hpp>`

## Public Member Functions

| binary_node (const binary_node &that)
void | clear ()

## Public Attributes

U * | left
| Left child.
U * | right
| Right child.

## Detailed Description

template<class U>
class claw::binary_node< U >

Basic binary node.

Author
  Julien Jorge

Definition at line 41 of file binary_node.hpp.

## Member Data Documentation

## left

template<class U>

U* claw::binary_node< U >::left

Left child.

Definition at line 45 of file binary_node.hpp.

## right

template<class U>

U* claw::binary_node< U >::right

Right child.

Definition at line 47 of file binary_node.hpp.

The documentation for this class was generated from the following file:

- binary_node.hpp